<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: 类成员</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_x.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">这里列出了所有类成员，并附带类的详细说明:</div>

<h3><a id="index_x"></a>- x -</h3><ul>
<li>x
: <a class="el" href="category_u_i_view_07_extension_08.html#a4667b0159f5c49e85a5e391fd8783aba">UIView(Extension)</a>
, <a class="el" href="category_u_i_view_07_set_rect_08.html#a61905ef4ac40874f9dcf0607b60c1096">UIView(SetRect)</a>
, <a class="el" href="category_u_i_view_07_x_h_x_rect_08.html#a102452aeb3a94e5600d5329cfe07fb97">UIView(XHXRect)</a>
</li>
<li>xhx_ABStrLineSpace:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a72d3171d4d4b98452b8b967550b1a56e">NSString(ABStr)</a>
</li>
<li>xhx_ABStrLineSpace:color:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a17c6429e2835a32800abd6ad9a27a80d">NSString(ABStr)</a>
</li>
<li>xhx_ABStrLineSpace:color:font:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a1abaad199a02bfc4fb52af48137d6d4d">NSString(ABStr)</a>
</li>
<li>xhx_ABStrLineSpace:font:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#adbb0b02a6c21a05bdeede872416e8945">NSString(ABStr)</a>
</li>
<li>xhx_ABStrLineSpace:subColor:subFont:subRange:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#aec2a81b4850997c638d63aaede8a7b69">NSString(ABStr)</a>
</li>
<li>xhx_ABStrLineSpace:subColor:subRange:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a7f97eeff739e5db58f981b2db7b5d502">NSString(ABStr)</a>
</li>
<li>xhx_ABStrLineSpace:subFont:subRange:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a9f59c6fb5a5d4100f6e07e9e839bc02a">NSString(ABStr)</a>
</li>
<li>xhx_ABStrSpacing:font:aligment:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#ab4493558d73d0333cccc8951c7e33755">NSString(ABStr)</a>
</li>
<li>xhx_ABStrStrikethrough
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#ab23a663cf070f0dfaea8a9c6e9ab50e4">NSString(ABStr)</a>
</li>
<li>xhx_ABStrStrikethroughWithFont:color:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a4785d00e9229070764d5c9113c3dbc36">NSString(ABStr)</a>
</li>
<li>xhx_ABStrSubColor:subFont:subRange:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a49c4e69e5366d73eea24c06acfd52093">NSString(ABStr)</a>
</li>
<li>xhx_ABStrSubColor:subRange:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a31ef0baf8779c206ea4bf647e91b0c59">NSString(ABStr)</a>
</li>
<li>xhx_ABStrSubFont:subRange:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a633be13c62e2f0f332bccc1bde73fcd4">NSString(ABStr)</a>
</li>
<li>xhx_ABStrTextSpace:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a74ece6e91820713b01fb8508ae4af9f4">NSString(ABStr)</a>
</li>
<li>xhx_ABStrTextSpace:color:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#ac0ff9309d06c7516c3d3e44e0e4b3916">NSString(ABStr)</a>
</li>
<li>xhx_ABStrTextSpace:color:font:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a5ca0850d0dceb5e10e2eecf6a10ad347">NSString(ABStr)</a>
</li>
<li>xhx_ABStrTextSpace:font:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a6ed95c2ff2bfb70439c4a0c351f4b26a">NSString(ABStr)</a>
</li>
<li>xhx_ABStrTextSpace:subColor:subFont:subRange:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a5ec2b2c65d9b3752462ee0205f22bb07">NSString(ABStr)</a>
</li>
<li>xhx_ABStrTextSpace:subColor:subRange:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a895deb2ec6d9b8f32dd0c49820f055f6">NSString(ABStr)</a>
</li>
<li>xhx_ABStrTextSpace:subFont:subRange:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a8a5599400925048f3c66b014d57fd4b9">NSString(ABStr)</a>
</li>
<li>xhx_ABStrUnderlineSpacing:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a27440c5cd6de077436b6c1b0557cd29f">NSString(ABStr)</a>
</li>
<li>xhx_ABStrUnderlineSpacing:font:color:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#aac23d7fda21dc78d81e8c691e71abfcc">NSString(ABStr)</a>
</li>
<li>xhx_ABStrUnderlineSpacing:SubStr:color:
: <a class="el" href="category_n_s_string_07_a_b_str_08.html#a12606ee380b8c7b2b9f58e6ed3d6d865">NSString(ABStr)</a>
</li>
<li>xhx_addLineWithAlignment:insets:
: <a class="el" href="category_u_i_view_07_x_h_x_line_08.html#aa5f2cc1746d515fa15d9f4f8445361cb">UIView(XHXLine)</a>
</li>
<li>xhx_addOrUpdateLineWithAlignment:insets:
: <a class="el" href="category_u_i_view_07_x_h_x_line_08.html#a1dbf59c4c273eb13c61a4785146abfc9">UIView(XHXLine)</a>
</li>
<li>xhx_backButtonWithTarget:action:imageName:
: <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#a85c9769a8a7a4d1b13f4f485e43a8891">UIButton(XHXStyle)</a>
</li>
<li>xhx_barItemWithCustomView:
: <a class="el" href="category_u_i_bar_button_item_07_x_h_x_style_08.html#a7cb422b52cadc6c09adb6b25c6a4b64e">UIBarButtonItem(XHXStyle)</a>
</li>
<li>xhx_blackBackBarButtonItemWithTarget:action:
: <a class="el" href="category_u_i_bar_button_item_07_x_h_x_style_08.html#a8561b34c5618cc399b5fbc18ffcf9928">UIBarButtonItem(XHXStyle)</a>
</li>
<li>xhx_blackBackButtonWithTarget:action:
: <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#a687433f0acb36146a8368f8e6e6509c5">UIButton(XHXStyle)</a>
</li>
<li>xhx_CellClassTypeWithClassName:
: <a class="el" href="interface_x_h_x_cell_class_type.html#ab46ff95f82052aadec9f5d5e058420c3">XHXCellClassType</a>
</li>
<li>xhx_CellClassTypeWithClassName:resueIdentifier:
: <a class="el" href="interface_x_h_x_cell_class_type.html#a7a4d74865dd87716a26bba79d7eed2cf">XHXCellClassType</a>
</li>
<li>xhx_compressImageWithPixelSize:
: <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#a89ea7606704f47daca9981784294d33f">UIImage(XHXExtension)</a>
</li>
<li>xhx_cropByWidthHeightRate:
: <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#ae7703ab2592952e992369f3c6d891b5b">UIImage(XHXExtension)</a>
</li>
<li>xhx_getImageFromColor:
: <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#a1bc8a8d051c65bdf6a290d3854bbe73a">UIImage(XHXExtension)</a>
</li>
<li>xhx_greenBackBarButtonItemWithTarget:action:
: <a class="el" href="category_u_i_bar_button_item_07_x_h_x_style_08.html#af8ed3f9527790a31d5b11cf608124db8">UIBarButtonItem(XHXStyle)</a>
</li>
<li>xhx_greenBackButtonWithTarget:action:
: <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#a905fe3824220f3171f990ff605f8db33">UIButton(XHXStyle)</a>
</li>
<li>xhx_imageWithStartColor:endColor:size:
: <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#ab967a720c8160cd8f9ca56e2905935c5">UIImage(XHXExtension)</a>
</li>
<li>xhx_isSameDay
: <a class="el" href="category_n_s_date_07_x_h_x_extention_08.html#a9bd36b82a32360d91e88a39284e6c4a9">NSDate(XHXExtention)</a>
</li>
<li>xhx_isSameMonth
: <a class="el" href="category_n_s_date_07_x_h_x_extention_08.html#a1aab7fbe5dbc323f057b4dff739c51b9">NSDate(XHXExtention)</a>
</li>
<li>xhx_isSameWeek
: <a class="el" href="category_n_s_date_07_x_h_x_extention_08.html#a636413de9d4b5928731e4527b23e2f52">NSDate(XHXExtention)</a>
</li>
<li>xhx_isSameYear
: <a class="el" href="category_n_s_date_07_x_h_x_extention_08.html#aef7509ca59abe077275749c345bd0120">NSDate(XHXExtention)</a>
</li>
<li>xhx_RegisterCellsClass:
: <a class="el" href="category_u_i_table_view_07_x_h_x_cell_class_08.html#a0395de30925d97e15ccb138de24b9ad8">UITableView(XHXCellClass)</a>
</li>
<li>xhx_RegisterWithXib:
: <a class="el" href="category_u_i_table_view_07_x_h_x_cell_class_08.html#acca3c0a87bf45bb914df78ee655f29a4">UITableView(XHXCellClass)</a>
</li>
<li>xhx_removeAllLines
: <a class="el" href="category_u_i_view_07_x_h_x_line_08.html#abec0ece68dbc80bebb74ce8a8bfe1518">UIView(XHXLine)</a>
</li>
<li>xhx_removeLineWithAlignment:
: <a class="el" href="category_u_i_view_07_x_h_x_line_08.html#ae78e9a502a18af90997890741f174f23">UIView(XHXLine)</a>
</li>
<li>xhx_resizableImageWithColor:cornerRadius:
: <a class="el" href="category_u_i_image_07_x_h_x_extension_08.html#a70de61ca648e31ab9368845feb9852cf">UIImage(XHXExtension)</a>
</li>
<li>xhx_setLineSpace:
: <a class="el" href="category_u_i_label_07_x_h_x_extension_08.html#a777641b4fc2a7f4cc48ec93cb43fb93e">UILabel(XHXExtension)</a>
</li>
<li>xhx_setText:lineSpace:
: <a class="el" href="category_u_i_label_07_x_h_x_extension_08.html#a9102eee31ecddb40c9b510f439fac101">UILabel(XHXExtension)</a>
</li>
<li>xhx_setTitleAndImageNormalState
: <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#aaf8354ca328180594180dd14739cf693">UIButton(XHXStyle)</a>
</li>
<li>xhx_setTitleAndImageWithTitleLeft:interval:
: <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#a826aa9340630ec43e639335c359c9e2c">UIButton(XHXStyle)</a>
</li>
<li>xhx_setTitleAndImageWithTitleTop:interval:
: <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#abe104b047c6d9f3bb3133538895dc7f6">UIButton(XHXStyle)</a>
</li>
<li>xhx_timeWithFormatterType:
: <a class="el" href="category_n_s_string_07_x_h_x_time_08.html#a0ec77b910aed997a5a413a9c749a3f3d">NSString(XHXTime)</a>
</li>
<li>xhx_weekday
: <a class="el" href="category_n_s_string_07_x_h_x_time_08.html#aefa910c5ab5cefd49994616e39d7984e">NSString(XHXTime)</a>
</li>
<li>xhx_weekdayStringFromDate
: <a class="el" href="category_n_s_date_07_x_h_x_extention_08.html#adbe8aa9e792b1c16d6c3d2c92268f991">NSDate(XHXExtention)</a>
</li>
<li>xhx_whiteBackBarButtonItemWithTarget:action:
: <a class="el" href="category_u_i_bar_button_item_07_x_h_x_style_08.html#a0f3c8ca905fe0aa0e4c002bd93341d7d">UIBarButtonItem(XHXStyle)</a>
</li>
<li>xhx_whiteBackButtonWithTarget:action:
: <a class="el" href="category_u_i_button_07_x_h_x_style_08.html#ada77b5760b623e4172ff2ad3adbe1d01">UIButton(XHXStyle)</a>
</li>
<li>xhxCommonImageNamed:
: <a class="el" href="category_u_i_image_07_x_h_x_common_resource_08.html#a85a2ed862501174a8796e2a8dd766840">UIImage(XHXCommonResource)</a>
</li>
<li>XHXPickerViewDidCancel:
: <a class="el" href="protocol_x_h_x_picker_view_delegate-p.html#aed809eba0185846cb5b32d17a3555f07">&lt;XHXPickerViewDelegate&gt;</a>
</li>
<li>XHXPickerViewDidSubmit:
: <a class="el" href="protocol_x_h_x_picker_view_delegate-p.html#a005faedaeea7e540a187c67374f47867">&lt;XHXPickerViewDelegate&gt;</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
